API endpoint reference

Invoices

Every invoices endpoint in the WorkBOS API: parameters, request and response shape, and curl, Node and Python samples generated from the spec.

GET/invoices

List invoices

Parameters
NameInTypeRequired
limitqueryintegerNo
offsetqueryintegerNo
Responses
StatusDescription
200OK
401Missing/invalid API key
Example request
curl -X GET "https://dkjdtyzjdkumnpdyezbs.supabase.co/functions/v1/api-v1/invoices?limit=20&offset=20" \
  -H "Authorization: Bearer YOUR_API_KEY"
GET/invoices/{id}

Get a invoice by id

Parameters
NameInTypeRequired
idpathstringYes
Responses
StatusDescription
200OK
401Missing/invalid API key
404Not found
Example request
curl -X GET "https://dkjdtyzjdkumnpdyezbs.supabase.co/functions/v1/api-v1/invoices/REPLACE_WITH_ID" \
  -H "Authorization: Bearer YOUR_API_KEY"